Bug 490443 - finger munges UTF-8 GECOS information
finger munges UTF-8 GECOS information
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: finger (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-16 09:19 EDT by Tomasz Kepczynski
Modified: 2010-07-22 22:45 EDT (History)
2 users (show)

See Also:
Fixed In Version: finger-0.17-41.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 174352
Environment:
Last Closed: 2010-07-22 22:45:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fixed bsd-finger-wide-char-support5.patch (3.89 KB, patch)
2010-07-12 07:21 EDT, Petr Lautrbach
no flags Details | Diff

  None (edit)
Description Tomasz Kepczynski 2009-03-16 09:19:35 EDT
+++ This bug was initially created as a clone of Bug #174352 +++

This problem exists in F10 with finger-0.17-36.fc9.x86_64. There is one difference: the original bug report seemed to complain about invocation for specific user:
# finger <username>
and this form seems to work fine for me.
Invocation for a list of logged in users:
# finger
Shows a list where GECOS information is displayed incorrectly.
See below:

gklab-63-001:~> finger
Login     Name                  Tty      Idle  Login Time   Office     Office Phone
tkepczyn  Tomasz Kepczynski    *:0             Mar 16 08:23  11073917
tkepczyn  Tomasz Kepczynski     pts/0    5:53  Mar 16 08:23 (:0)
tkepczyn  Tomasz Kepczynski    *pts/1          Mar 16 08:23 (:0.0)
tkepczyn  Tomasz Kepczynski    *pts/2       3  Mar 16 08:24 (:0.0)
tkepczyn  Tomasz Kepczynski    *pts/3       5  Mar 16 08:24 (:0.0)
tomek     Tomasz K�M-^Ypczy�M-^Dski   tty2           Mar 16 14:16
gklab-63-001:~> finger tomek
Login: tomek                            Name: Tomasz Kępczyński
Directory: /home/tomek                  Shell: /bin/bash
On since pon mar 16 14:16 (CET) on tty2   12 seconds idle
No mail.
No Plan.

I can also see that problem on CENTOS 5.2 which probably means RHEL 5.2 is affected.
Comment 1 Bug Zapper 2009-11-18 06:21:16 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Tomasz Kepczynski 2009-11-20 00:47:05 EST
This bug still exists in Fedora 12.
Comment 3 Fedora Admin XMLRPC Client 2010-06-18 06:44:18 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Petr Lautrbach 2010-07-12 07:21:46 EDT
Created attachment 431142 [details]
fixed bsd-finger-wide-char-support5.patch

There was missing initialization of has_locale variable for list of logged users
Comment 5 Fedora Update System 2010-07-12 07:59:19 EDT
finger-0.17-41.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/finger-0.17-41.fc13
Comment 6 Fedora Update System 2010-07-12 07:59:25 EDT
finger-0.17-41.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/finger-0.17-41.fc12
Comment 7 Fedora Update System 2010-07-13 03:35:13 EDT
finger-0.17-41.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update finger'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/finger-0.17-41.fc13
Comment 8 Fedora Update System 2010-07-13 03:46:40 EDT
finger-0.17-41.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update finger'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/finger-0.17-41.fc12
Comment 9 Tomasz Kepczynski 2010-07-13 12:25:36 EDT
Seems to work.
Comment 10 Fedora Update System 2010-07-22 22:45:20 EDT
finger-0.17-41.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.